## akonadi-contacts 25.11.80

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.80")

project(Akonadi-Contact VERSION ${PIM_VERSION})

# ECM setup

set(KF_MIN_VERSION "6.18.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
set(KMIMELIB_VERSION "6.5.80")
set(AKONADI_VERSION "6.5.80")
set(GRANTLEETHEME_LIB_VERSION "6.5.80")
set(KTEXTADDONS_MIN_VERSION "1.8.0")

set(QT_REQUIRED_VERSION "6.8.0")
find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
)
########### Find packages ###########
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

############### Compilers flags ###############

if(MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
add_subdirectory(serializers)

ecm_qt_install_logging_categories(
        EXPORT AKONADICONTACTS
        FILE akonadi-contacts.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/akonadi-contacts-widgets/editor/generalinfoeditor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

set(phonewidgettest_SRCS
    phonewidgettest.cpp
    phonewidgettest.h
)
add_executable(phonewidgettest ${phonewidgettest_SRCS})
add_test(NAME phonewidgettest COMMAND phonewidgettest)
ecm_mark_as_test(phonewidgettest)
target_link_libraries(
    phonewidgettest
    Qt::Test
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
)

set(mailwidgettest_SRCS
    mailwidgettest.cpp
    mailwidgettest.h
)
add_executable(mailwidgettest ${mailwidgettest_SRCS})
add_test(NAME mailwidgettest COMMAND mailwidgettest)
ecm_mark_as_test(mailwidgettest)
target_link_libraries(
    mailwidgettest
    Qt::Test
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
)

set(messagingwidgettest_SRCS
    messagingwidgettest.cpp
    messagingwidgettest.h
    ../../widgets/preferredlineeditwidget.cpp
)
add_executable(messagingwidgettest ${messagingwidgettest_SRCS})
add_test(NAME messagingwidgettest COMMAND messagingwidgettest)
ecm_mark_as_test(messagingwidgettest)
target_link_libraries(
    messagingwidgettest
    Qt::Test
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::Service
)

set(contactselecttypecomboboxtest_SRCS
    contactselecttypecomboboxtest.cpp
    contactselecttypecomboboxtest.h
)
add_executable(contactselecttypecomboboxtest ${contactselecttypecomboboxtest_SRCS})
add_test(NAME contactselecttypecomboboxtest COMMAND contactselecttypecomboboxtest)
ecm_mark_as_test(contactselecttypecomboboxtest)
target_link_libraries(
    contactselecttypecomboboxtest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::I18n
)

set(nicknamewidgettest_SRCS
    nicknamewidgettest.cpp
    nicknamewidgettest.h
)
add_executable(nicknamewidgettest ${nicknamewidgettest_SRCS})
add_test(NAME nicknamewidgettest COMMAND nicknamewidgettest)
ecm_mark_as_test(nicknamewidgettest)
target_link_libraries(
    nicknamewidgettest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::I18n
    KF6::Completion
)

set(blogfeedwidgettest_SRCS
    blogfeedwidgettest.cpp
    blogfeedwidgettest.h
)
add_executable(blogfeedwidgettest ${blogfeedwidgettest_SRCS})
add_test(NAME blogfeedwidgettest COMMAND blogfeedwidgettest)
ecm_mark_as_test(blogfeedwidgettest)
target_link_libraries(
    blogfeedwidgettest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::I18n
    KF6::Completion
)

set(messageformattingwidgettest_SRCS
    messageformattingwidgettest.cpp
    messageformattingwidgettest.h
)
add_executable(messageformattingwidgettest ${messageformattingwidgettest_SRCS})
add_test(NAME messageformattingwidgettest COMMAND messageformattingwidgettest)
ecm_mark_as_test(messageformattingwidgettest)
target_link_libraries(
    messageformattingwidgettest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::I18n
)

=== debian/changelog ===
akonadi-contacts (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:20 +0000

akonadi-contacts (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:13 +0000

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libgrantleetheme-dev (>= 25.11.80~),
               libgrantleetheme-plugins (>= 25.11.80~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.11.80~),
               libktextaddons-dev (>= 1.5.4~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libakonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.11.80~),
         libgrantleetheme-dev (>= 25.11.80~),
         libkf6contacts-dev (>= 6.6.0~),
         libkpim6akonadicontactcore6 (= ${binary:Version}),
         libkpim6akonadicontactwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadicontactcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - core library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicontactwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact access library - widgets library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-contacts 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
@@ -68,9 +68,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(GRANTLEETHEME_LIB_VERSION "6.5.80")
+set(KMIMELIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
+set(GRANTLEETHEME_LIB_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")

=== debian/changelog ===
akonadi-contacts (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:55:50 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libgrantleetheme-dev (>= 25.11.80~),
-               libgrantleetheme-plugins (>= 25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.11.90~),
+               libgrantleetheme-plugins (>= 25.11.90~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
@@ -32,7 +32,7 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -61,8 +61,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.80~),
-         libgrantleetheme-dev (>= 25.11.80~),
+Depends: libakonadi-dev (>= 4:25.11.90~),
+         libgrantleetheme-dev (>= 25.11.90~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),

## akonadi-contacts 25.12.0

=== debian/changelog ===
akonadi-contacts (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:29 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libgrantleetheme-dev (>= 25.11.90~),
-               libgrantleetheme-plugins (>= 25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libgrantleetheme-dev (>= 25.12.0~),
+               libgrantleetheme-plugins (>= 25.12.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
@@ -32,7 +32,7 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -61,8 +61,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.90~),
-         libgrantleetheme-dev (>= 25.11.90~),
+Depends: libakonadi-dev (>= 4:25.12.0~),
+         libgrantleetheme-dev (>= 25.12.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),

## akonadi-contacts 25.12.0+p24.04+vstable+git20251224.0750

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
@@ -68,9 +68,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
-set(GRANTLEETHEME_LIB_VERSION "6.5.90")
+set(KMIMELIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(GRANTLEETHEME_LIB_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")

=== debian/changelog ===
akonadi-contacts (4:25.12.0+p24.04+vstable+git20251224.0750-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:50:10 +0000

akonadi-contacts (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:45 +1000

## akonadi-contacts 25.12.0+p24.04+vstable+git20251231.0205

=== debian/changelog ===
akonadi-contacts (4:25.12.0+p24.04+vstable+git20251231.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:05:08 +0000

## akonadi-contacts 25.12.0+p24.04+vunstable+git20251208.2230

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
 # ECM setup
 
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.20.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -68,12 +68,12 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
-set(GRANTLEETHEME_LIB_VERSION "6.6.0")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KMIMELIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.41")
+set(GRANTLEETHEME_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -118,7 +118,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
akonadi-contacts (4:25.12.0+p24.04+vunstable+git20251208.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:30:45 +0000

## akonadi-contacts 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
 # ECM setup
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -68,12 +68,12 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.41")
-set(GRANTLEETHEME_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KMIMELIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.1")
+set(GRANTLEETHEME_LIB_VERSION "6.6.1")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -118,7 +118,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
akonadi-contacts (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:08 +0100

akonadi-contacts (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:09 +0100

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libgrantleetheme-dev (>= 25.12.1~),
               libgrantleetheme-plugins,
               libkf6codecs-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkmime-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libakonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.1~),
         libgrantleetheme-dev (>= 25.12.1~),
         libkf6contacts-dev (>= 6.18.0~),
         libkpim6akonadicontactcore6 (= ${binary:Version}),
         libkpim6akonadicontactwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadicontactcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - core library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicontactwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact access library - widgets library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-contacts 25.12.1+p24.04+vstable+git20260118.0202

=== debian/changelog ===
akonadi-contacts (4:25.12.1+p24.04+vstable+git20260118.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:02:55 +0000

akonadi-contacts (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:12 +1000

## akonadi-contacts 25.12.1+p24.04+vstable+git20260122.0613

=== debian/changelog ===
akonadi-contacts (4:25.12.1+p24.04+vstable+git20260122.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:13:13 +0000

## akonadi-contacts 25.12.1+p24.04+vunstable+git20260205.0731

=== debian/changelog ===
akonadi-contacts (4:25.12.1+p24.04+vunstable+git20260205.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:31:43 +0000

## akonadi-contacts 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
@@ -68,9 +68,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.6.1")
-set(AKONADI_VERSION "6.6.1")
-set(GRANTLEETHEME_LIB_VERSION "6.6.1")
+set(KMIMELIB_VERSION "6.6.2")
+set(AKONADI_VERSION "6.6.2")
+set(GRANTLEETHEME_LIB_VERSION "6.6.2")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")

=== debian/changelog ===
akonadi-contacts (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:37:58 +0000

akonadi-contacts (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:24:01 +0000

akonadi-contacts (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:18 +0000

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libgrantleetheme-dev (>= 25.12.2~),
               libgrantleetheme-plugins (>= 25.12.2~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libakonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.2~),
         libgrantleetheme-dev (>= 25.12.2~),
         libkf6contacts-dev (>= 6.6.0~),
         libkpim6akonadicontactcore6 (= ${binary:Version}),
         libkpim6akonadicontactwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadicontactcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - core library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicontactwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact access library - widgets library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-contacts 25.12.2+p24.04+vstable+git20260207.0053

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})

=== debian/changelog ===
akonadi-contacts (4:25.12.2+p24.04+vstable+git20260207.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 00:53:29 +0000

akonadi-contacts (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:45:22 +0000

## akonadi-contacts 25.12.2+p24.04+vstable+git20260214.1453

=== CMakeLists.txt ===
--- 
+++ 
@@ -68,9 +68,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.6.2")
-set(AKONADI_VERSION "6.6.2")
-set(GRANTLEETHEME_LIB_VERSION "6.6.2")
+set(KMIMELIB_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.3")
+set(GRANTLEETHEME_LIB_VERSION "6.6.3")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")

=== debian/changelog ===
akonadi-contacts (4:25.12.2+p24.04+vstable+git20260214.1453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 14 Feb 2026 14:53:08 +0000
